# Uses of Interface
org.apache.zookeeper.server.SessionTracker.SessionExpirer

Packages that use SessionTracker.SessionExpirer
Package
Description
org.apache.zookeeper.server
ZooKeeper server theory of operation
org.apache.zookeeper.server.quorum

## Uses of SessionTracker.SessionExpirer in org.apache.zookeeper.server

Classes in org.apache.zookeeper.server that implement SessionTracker.SessionExpirer
Modifier and Type
Class
Description
`class`
`ZooKeeperServer`
This class implements a simple standalone ZooKeeperServer.
Constructors in org.apache.zookeeper.server with parameters of type SessionTracker.SessionExpirer
Modifier
Constructor
Description
``
`SessionTrackerImpl(SessionTracker.SessionExpirer expirer, ConcurrentMap<Long,Integer> sessionsWithTimeout, int tickTime, long serverId, ZooKeeperServerListener listener)`

## Uses of SessionTracker.SessionExpirer in org.apache.zookeeper.server.quorum

Classes in org.apache.zookeeper.server.quorum that implement SessionTracker.SessionExpirer
Modifier and Type
Class
Description
`class`
`FollowerZooKeeperServer`
Just like the standard ZooKeeperServer.
`class`
`LeaderZooKeeperServer`
Just like the standard ZooKeeperServer.
`class`
`LearnerZooKeeperServer`
Parent class for all ZooKeeperServers for Learners
`class`
`ObserverZooKeeperServer`
A ZooKeeperServer for the Observer node type.
`class`
`QuorumZooKeeperServer`
Abstract base class for all ZooKeeperServers that participate in a quorum.
`class`
`ReadOnlyZooKeeperServer`
A ZooKeeperServer which comes into play when peer is partitioned from the majority.
Methods in org.apache.zookeeper.server.quorum with parameters of type SessionTracker.SessionExpirer
Modifier and Type
Method
Description
`void`
UpgradeableSessionTracker.`createLocalSessionTracker(SessionTracker.SessionExpirer expirer, int tickTime, long id, ZooKeeperServerListener listener)`
Constructors in org.apache.zookeeper.server.quorum with parameters of type SessionTracker.SessionExpirer
Modifier
Constructor
Description
``
`LeaderSessionTracker(SessionTracker.SessionExpirer expirer, ConcurrentMap<Long,Integer> sessionsWithTimeouts, int tickTime, long id, boolean localSessionsEnabled, ZooKeeperServerListener listener)`
``
`LearnerSessionTracker(SessionTracker.SessionExpirer expirer, ConcurrentMap<Long,Integer> sessionsWithTimeouts, int tickTime, long id, boolean localSessionsEnabled, ZooKeeperServerListener listener)`
``
`LocalSessionTracker(SessionTracker.SessionExpirer expirer, ConcurrentMap<Long,Integer> sessionsWithTimeouts, int tickTime, long id, ZooKeeperServerListener listener)`